.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 60px;
  z-index: 300;
  display: flex;
  background: var(--black);
}

/* ハンバーガーメニュー */
.nav {
  position: fixed;
  top: 0;
  left: 10px;
  width: 50px;
  height: 60px;
  color: var(--white);
}
.drawer-open {
  display: flex;
  height: 50px;
  width: 50px;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 100;
  cursor: pointer;
}
.drawer-open span,
.drawer-open span:before,
.drawer-open span:after {
  content: "";
  display: block;
  height: 3px;
  width: 20px;
  border-radius: 3px;
  background: var(--white);
  transition: 0.3s;
  position: absolute;
}
.drawer-open span:before {
  bottom: 8px;
}
.drawer-open span:after {
  top: 8px;
}
.drawer-open p {
  position: fixed;
  top: 40px;
  font-size: 10px;
}
.drawer-cover {
  transition: 0.3s;
}
.nav-active .drawer-open span {
  background: var(--clear);
}
.nav-active .drawer-open span::before {
  bottom: 0;
  transform: rotate(45deg);
  background: var(--white);
}
.nav-active .drawer-open span::after {
  top: 0;
  transform: rotate(-45deg);
  background: var(--white);
}
.nav-active .nav-content {
  right: 60%;
}
.nav-active .drawer-cover {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 1;
  background: var(--black-shallow);
  display: block;
}
.nav-content {
  width: 40%;
  height: 100%;
  position: fixed;
  top: 0;
  right: 100%;
  z-index: 90;
  background: var(--black);
  transition: 0.25s;
  overflow: scroll;
}
.nav-list {
  list-style: none;
  padding: 80px;
  font-size: 28px;
  line-height: 1.5;
}
.nav-list span {
  padding-left: 14px;
  font-size: 16px;
}
.nav-item {
  padding: 20px 0;
  line-height: 3px;
}
.nav-list a {
  text-decoration: none;
  transition: color 0.3s ease;
}
.nav-list a:hover {
  color: var(--gold);
}
.nav-list i {
  width: 25px;
  padding-right: 20px;
}

/* ロゴ */
.header-logo {
  position: fixed;
  top: 0;
  left: 80px;
}
.header-logo img {
  margin: 11px auto;
  width: 185px;
  height: 38px;
}

/* 表示メニュー（PC以外では非表示） */
.header-right {
  position: fixed;
  right: 20px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.header-right nav ul {
  display: flex;
}
.header-right nav ul .header-display-menu,
.header-right nav ul .header-mypage {
  display: flex;
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.header-right nav ul li {
  display: flex;
  align-items: center;
  margin: 14px 14px 0;
  color: var(--white);
}
.header-right nav ul li i {
  margin-right: 7px;
}
.header-right nav ul li a {
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s ease;
}
.header-right nav ul li a:hover {
  color: var(--gold);
}
.header-mypage {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 60px;
  color: var(--white);
}
.header-mypage a i {
  margin: 10px 18px 5px 18px;
}
.header-mypage a li {
  font-size: 10px;
}

@media screen and (max-width: 1200px) {
  .nav-active .nav-content {
    right: 40%;
  }
  .nav-content {
    width: 60%;
  }
}

@media screen and (max-width: 900px) {
  .header-right nav ul .header-display-menu {
    display: none;
  }
  .header-logo {
    left: 50%;
    transform: translate(-50%);
  }
}

@media screen and (max-width: 700px) {
  .nav-active .nav-content {
    right: 10%;
  }
  .nav-content {
    width: 90%;
  }
  .nav-list {
    padding: 80px 30px;
    font-size: 18px;
  }
  .nav-list i {
  padding-right: 1%;
}
}

@media screen and (max-width: 570px) {
  .drawer-open span,
  .drawer-open span:before,
  .drawer-open span:after {
    height: 2.5px;
    width: 20px;
  }
  .drawer-open span:before {
    bottom: 6px;
  }
  .drawer-open span:after {
    top: 6px;
  }
  .header-right {
    right: 10px;
  }
}
